Page 1 of 2 12 LastLast
Results 1 to 10 of 17

Thread: Mac OS requirements for Designer 2 & 3?????

  1. Default Mac OS requirements for Designer 2 & 3?????

    Finally decided to buy Designer 3. But I can't use it. (yet???)

    According to Carvewright the minimum requirement for Mac is OS 10.3.

    I have 10.5.8. Neither Designer 2 0R 3 will work. System says the program will not operate on this architecture.
    Anyone else have Designer 3 working on 10.5.8 or earlier.
    This is not a Maverick or Yosemite issue. I have another Mac with 10.6 on it. The program works on it but I don't want to use that computer. I also do not want to upgrade the OS from 10.5.8 to 10.6 for a hundred other program issues.

    Has this been addressed previously? Thanx for any and all insight.

  2. #2
    Join Date
    Jun 2014
    Location
    New Orleans, LA
    Posts
    123

    Default

    I know it's not a Maverick or Yosemite issue, worth checking your X11 version etc. Google "X Quartz" / "X11" and try redownloading and installing the program. May or may not be a viable solution. Also, what are you running into when you try to open or install that it doesn't work, like specifics does it even try and get into the program or won't even open at all? I hope this helps.
    Paul
    -Paul
    "The secret to getting ahead is getting started." -Mark Twain

  3. #3
    Join Date
    Jan 2009
    Location
    Brighton, TN
    Posts
    928

    Default

    Read these threads completely as they should answer your issue:

    http://forum.carvewright.com/showthr...light=Yosemite

    and:

    http://forum.carvewright.com/showthr...light=Yosemite

    Hope this helps.
    Steve

    Centerline
    Pattern Editor
    Conforming Vectors
    DXF Importer
    STL Importer
    2D Advanced Tools
    Designer 1.187, 2.007 and 3.102 on Mac OS 10.10 and Windows 8 via Parallels on Mac

  4. Default

    Quote Originally Posted by PSQRD View Post
    I know it's not a Maverick or Yosemite issue, worth checking your X11 version etc. Google "X Quartz" / "X11" and try redownloading and installing the program. May or may not be a viable solution. Also, what are you running into when you try to open or install that it doesn't work, like specifics does it even try and get into the program or won't even open at all? I hope this helps.
    Paul
    Thanx, the issue is when the downloaded dmg file is opened the Designer icon has a circle with a slash. If you click it the message says that the program will not work on this architecture.
    I get this message on occasion when trying to load newer programs. The OS is old and the machine is one of the last of the Macs before intel chips. This is a feature for me but some newer programs don't include the backward compatibility. Designer 1 works but 2 and 3 don't.
    Before purchasing Designer 3 I checked multiple times and places to be sure it would work and always found the same info.
    "Minimum requirement for Mac is OS 10.3"
    That doesn't seem to be true.
    Does anybody have an old Mac they could test this on?

  5. Default

    Quote Originally Posted by SteveEJ View Post
    Read these threads completely as they should answer your issue:

    http://forum.carvewright.com/showthr...light=Yosemite

    and:

    http://forum.carvewright.com/showthr...light=Yosemite

    Hope this helps.
    Thanx for the effort but I have completely read those threads before and they are entirely unrelated to this issue.

    I don't have Yosemite(10.10), or Maverick(10.9), or Mountain Lion (10., or Lion (10.7), or Snow Leopard (10.6).

    I have Leopard 10.5.8.

    It is an old OS on an old machine that has features and abilities no Mac or PC have matched since.

    I was pleasantly surprised to read that the minimum OS needed was 10.3 and very unpleasantly surprised to fin that may not be true.

    Thanx to all for any ideas or experience with this specific issue.

    The issue is probably not fixable except that Carvewright should fix the information error and refund me.

  6. Default

    Here is the dead end:

    Click image for larger version. 

Name:	Picture 209.png 
Views:	26 
Size:	256.7 KB 
ID:	73128Click image for larger version. 

Name:	Picture 210.png 
Views:	27 
Size:	134.2 KB 
ID:	73129

  7. #7
    Join Date
    Jan 2009
    Location
    Brighton, TN
    Posts
    928

    Default

    Well, I tried.. Sorry but I didn't realize you had a PowerPC version. I 'think' that I read that the PowerPC support was dropped with Version 2 of designer. Not totally sure though. I would suggest you call LHR monday to see what they say.

    Asking because I don't know but will your mac run a Windows emulator such as Parallels? If so that may be a work around.
    Steve

    Centerline
    Pattern Editor
    Conforming Vectors
    DXF Importer
    STL Importer
    2D Advanced Tools
    Designer 1.187, 2.007 and 3.102 on Mac OS 10.10 and Windows 8 via Parallels on Mac

  8. Default

    Thanks Steve,

    Yes it is a PowerPc Mac. I have searched for PowerPc references but have found no mention of Designer 2 OR 3 needing the Intel based versions.

    Can anyone link me to any info about Designer 2 or 3 NOT operating on PowerPC Macs?

    This is the likely problem. Many programs no longer include function in the PowerPC environment. But that is one of the reasons I am keeping it. Many legacy programs and functions that can't be replicated with the "new and improved"versions.

    I think LHR needs to modify their system requirements to say "minimum 10.6 with Intel based Mac".

    Hopefully I am wrong and I am missing something that will let me use it with 10.3 or later as is clearly advertised.

    The machine will run an emulator but thats not a solution for me.

    Thanx to all

  9. Default

    Here is a quote from LHR referring to Designer and it's Mac compatibility:

    "It is a Universal binary that runs natively on both PowerPC and Intel Macs."

    Is this true LHR? Is Designer 2 and/or 3 a Universal binary that runs natively on both PowerPC and Intel Macs. OR... was that only true for the free version?

    (im)Patiently waiting for Monday morning enlightenment.

    cheers

  10. Default

    Cut and Pasted from FAQ's on current website:

    What are the computer system requirements for the software?
    Windows Operating System:
    • Microsoft Windows XP with Service Pack 2, Windows Vista, Windows 7 or Windows 8
    • 512 MB of RAM for XP
    • 1GB of RAM for Vista, Windows 7 or 8
    • 75MB of available hard‐disk space
    • CD‐ROM compatible drive (With active internet connection)
    • Internet access for registration and updates
    • Graphics card supporting OpenGL 1.2 with 256 MB of Video RAM or VRAM (for Designer Basic)
    • Graphics card supporting OpenGL 2.1 with 256 MB of Video RAM or VRAM (for Designer 2.0)
    • 1.2Ghz Dual Core Processor

    Macintosh Operating System:

    • Mac OS X version 10.3 or later
    • Mac X11 Windowing System (removed from recent Mac OS Mountain Lion – downloadable here: http://support.apple.com/kb/ht5293)
    • 512MB of RAM
    • 75MB of available hard‐disk space
    • CD‐ROM compatible drive (With active internet connection)
    • Internet access for registration and updates

    AND...

    Is the software compatible with both Windows and Mac operating systems?
    The software is available for Windows and Macintosh operating systems. Specifically the software will run best on Windows XP, Windows Vista, Windows 7, Windows 8, and Mac OS X version 10.3 or higher.

Page 1 of 2 12 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •